## sonar 1.0.2

=== DESCRIPTION ===
Package: sonar
Type: Package
Title: Fundamental Formulas for Sonar
Version: 1.0.2
Encoding: UTF-8
Authors@R: c(person(given = "Jose", family = "Gama", role = c("aut","cre"),email = "rxprtgama@gmail.com") )
Description: Formulas for calculating sound velocity, water pressure, depth, 
    density, absorption and sonar equations.
License: GPL (>= 3)
Depends: R (>= 2.7.0)
Packaged: 2016-09-15 12:23:40 UTC; mk
Author: Jose Gama [aut, cre]
Maintainer: Jose Gama <rxprtgama@gmail.com>
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2016-09-15 15:46:37

## sonar 0.0.1-1

=== debian/changelog ===
sonar (0.0.1-1) stable; urgency=low

  Initial Package

 -- Matt Trower <mtrower2@illinois.edu>  Sat, 02 Jul 2011 09:30:35 +0000

=== debian/control ===
Source: sonar
Section: user/navigation
Priority: extra
Maintainer: Matt Trower <mtrower2@illinois.edu>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: sonar
Architecture: all
Depends: python, python2.5-qt
Description: Proximity-based localization app developed by the Mobius Group
 part of CS @ University of Illinois - Urbana Champaign
XSBC-Bugtracker: XSBC-Bugtracker: http://bugs.maemo.org
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAABHNCSVQICAgIfAhkiAAAAAlwSFlz
 AAAOxAAADsQBlSsOGwAADSJJREFUeJztm3lwHPWVxz890z2HNOPRYUWWr8iJbGPjg4XFMQJMzLEc
 WczCQtZLea94SfiHgi3jWlgsyVjGOOVAgOwWjqiC2hSbpcgaZ30sDtheEnttIcd4iTDGliVLViSN
 rGNG1vSc3dP7R49GM9IcPaORq7Yq36qumul+v/f7vW//zvdewx8wTajjJhqwFURXAybquKsguiZA
 KLjGLSzBxFkCuNjFKGABwlPW+30kZhFGYzWNfDplfTGYCqUIgDo+xsSXCCxjFypwH4UwHqCJCL3M
 Q6CZej4riE4K1QMasKERiP3bzTb2AlZgf0H0J+J5tiDRCECYMnbimYq6qfeAf8SFRmDJrCUAGtv4
 L3TjD0xZdyq8zHaiBFctWAUWhmlg7lTUTY2ABmZhxfvojY8ih2X4GX8be/IpoE1JdybIlLVcauHD
 jR+CRjfPszRfVfkT8BhmNPoeWvkQu+/dzWX3ZTedlAEqcCVvvUbwYwJoHO8Y6eDgxoMgcZbHcE1r
 nZNQj7bsp8u0HrlHc73s0rCzE3iQQk+s6SFQj9Z2tU1raG7QqEfLp+78GlvHeYD3vvsew6FhRkZH
 FAK4AT8QzUtn7tCAvvfb3ufuBXdTXVENLzCcq5LcCXiBryOw6PCTh/GGvTQca4D/5F2gHfh1zvqm
 AoWbtx7YSn+wnx+t+xGYcXEHT+WiIncCzHTWLqwloAbwhD18cPoDOEsn+htR0pb7PhIN3Gmojjpu
 ZhPFWeV20BNRI7gDbtwBN5sf2Ax38AZQZageciVgC48DPFn7JJ6whyuBKyDjAdqA36UtV8fPqORf
 eZGjhupp5BRFvEQ9hwxIH9l3bh/ugBur1YpoFuGv+aGhesiVABP/duuSW/GEPXjCHt45/Q4c5xAw
 ClxOWaYeL/AXNPI4sAaQDNXVyDOo3EJdlp1klKc/OvMR/cF++oP9PHr7o1DNXwErjZlkFE9hBbhn
 6T1xAk6ePwmf8kXaMvX4v1f7PRdevom+QnwBRAzXGWT2znU7JepQ08ps5ywQHwYysn6/utAElHJQ
 EqW48Z6wBzWqAriBrkny9exrearF/vaJt2V+wh+h7w9ym6VfQX5u/3M9p58+bWKzvvKkgzvojl+z
 586G9fwQmJ2tilyGwF2rrl+VRAAqCjCIPgeM4x+wb6jd8OCBzgNwnB2xux/nUNc4BNZ80vcJd6+6
 exGLeTCN1KWuga54LzCXmcHCLOCmbOpzmgPKKsrwqB48qocObwcM0IE++weSBB30Lp69mFc/fhWO
 8gX63sB410/Ei3TsOrKL5dXL4bv8EnCkkPrQN+wDM/olGldvjIAt+njyqt745b7qhst0pBJf+s2l
 Je2j7fiCPg2wAV8Zb9JkuIfdgc89n1NRUWGCFEupxqGwPzxOgBkEkwAPcAtQlkm3MQJMPALgiXri
 l1f2Qhftk2S3sKG8qpx2Xztc4Qx675gslws03m4bbcNaZYUNPAIUJT2PcFwJKfqbj11FM4tgLmuB
 msymGcMi0S4yoo3EL1mWYZhhGJt24xqf7VQ66VQ6YQBfBp0CcAF9CPUDzrSSGv+LBQSbAPN4DFid
 9HzMJ5DQA6wlVrAyB6jMZJjR0bJYLBKTpJWgAgMMou//E7ESO6hhFa7Qk07h5s2bo+vXr0fTNKLR
 6NdaW1uvbty4sRTwThIWOIM99luiCNLsEhPaJxaLUExFNsOMElBjtpt1dmNQggpECQKhSdJ2UCMq
 9NFJ6snvNz6fj6amJjRNGyMB9GWyCAgmSZtojZqjmKQsHTahfWa7GSzZnbJGCbgcDUWvT5Q2W80o
 KCHSECCaRJjDDC4ykkLf7W+++SaVlZVYLBYURaG/vx/0YXEPk11pi0wzDIzWhPapigpq9pXHKAEX
 lJByfSLDolNEqVRm0D9JtgsbXzfZTFDJbFL7HVtLSkqWx4wGwGazEQwGU4gCKjfE32U0w3E7oX1q
 RAUfQ+lN0mF0EjwfGY3ou/jYJTpFmEkFTOhmGq9pkgZ2wEU1pPTUfMvlcrFv3z6eeeYZ9u7dS21t
 LcBbKWsXuAE7KKoCF2mZ9HxzbAJNaF94NAyj2Qkw1gM0DgPPTewBzOcbnNXPCHF8xU+Gjg39eOYD
 M6GSZWnqCHR1dbFu3ToAXnvttbH751LWL7AeGwzuH4T9fDLpeRE3iXYxqQf4u/1wmUvZTDPWAxo5
 AiSts1KJBHNZysQ1+ReogfZAFDtY5lgynvy2bt3KuXNJNl8kxZa56LqiOdghMhQBmQ7gapKAxv1i
 iZjUPjWkwmGOZzMtp61wcCAYX2dts21QxmImEqA36LrBfYOUP1QOK5iTTl8gEGBkZNIcmXzya2BG
 2X1l9P97P3zMLvTDV/OE+u5zLHQkERDDENCXyaZcCGgbbh5OrsSawniA7bQFzge6TaIJ7qcBWJRK
 LBAI4PVOXvaToPFLVVYJ/z7s52Tc55C88gissM+3x1+Or8MHEcLo3umLmdQbJ0Dg26qsJu22MmIb
 83v+uYeSB0pmYUntt/f7/VkJKPtO2dq+t/pgB+vRj92HUwomvBhPs2fMT6mRamOVAOMEvEgvwOi5
 0fH99sIiqGUh6XZm2xC8R7ywibeYuFqQdgiMo44zwweH4SXWxu70MfHk+Xxsqxt7KZoWi8d8yTkM
 BGdyc4lpNHpPeuOVldxaAjfzBLAwbZltmBEQeJjtEx9lHAJ13AtUsw0TKk70LfdvJ8mJvOy8wRl/
 Ke49buimFf2ccSqbSbkR0Eg9wNXPr4IIZqcZXFwHzMtQKsoOKvAyyMPJh5i0PeCfqAIsNFKKvjP0
 QmwlmgiBvyu5tQTMEI1EUUYVeIe9jB+yMiJ3t7jA/SMnRuKM22vsUMPMLKU0/pud7EUgYSiknQN2
 0Ecj+4FvAZ8Bx1JqHUvAiLWl550e+JQPgTOQ2lcxEbkT8CKHgFDPv/SACOV/Wg5/zi5ggYHSJ0k4
 6GRZBUzoQdbBtNqiHCm5S3/7w0eHdb/TrziOvpSeNWJOfqGxbdii4SjeX3sRJAGslAPLclWTZRXI
 HmITqHXe6CTijSC3ytDIS0ArE/cJGZB/IFNh7mjLKP7zfqqeqIKn2YpRn38MWVeBTKhjt/NmJ9FQ
 FPfbbniPJjTOoDtoBoyqyZ+AHfQg85dD+4aIDEUQyoQbseaWyGRoI5QOAj+YccsMet7ogRYOcYFm
 9HQcY9GnguExNlCPVvwfxRovIGP8iK2VlpZq8+bN09BnbA09eJK9F9XTYf+5XQ+J/wm7gadiZXNO
 +Zl6LP8XvMtnrJN/J4OZIh6OxwGmB3XcDiwIfBWA/6GOj/gt0AkcJI+slEKmyc1nC19hws7PqeFi
 Vk+wVlpaisPhoLu7e+zeOuAQ6WIIDZjQUNEI08jDjG/ID5BnSk4hszkus51yuniXx7lYYN06NBTg
 VRq5Ed34ALr7bPrykfLEnfw9e7LI5DYH1PNm7FdxTG5K2WHXAhJwb4bnmtPp1FwuVy6ToA3448I1
 8dpg4qrwPuMGp7qGyCHD4/8T1hMzcuXKldqpU6e0zs7OpKupqSmRiCnFE42i8MnSqdEEPGG32zl6
 NPs+5cSJE2zatAnIL/UtF1wLAnYBzwqCwJ49exCE7FUKgsCxY8d45ZVX4remq3E5RNLzwgLgWYDX
 X38dt9udVnAiMTU1NRQXF+tBWPg90zTrTzcB8TP54GD6U206rF27lgMHDgDMAR4BPihYy2KYTgK+
 nfinr2/cO210GPh8SdH199GjTHLqEvlhOgn4VeKfMQIkScLhcGC1WrFarZhMJjRNIxKJEAqFCIVC
 Y92elpakKJgZPTukoN8gTOcMa4n/sFhob2/H4XBQVFSEIAgoioLf70eWZfx+P5FIBE3TEEURh8OB
 oii4XJPCig+RKhAzBUzX7FpOzJVVXV2Nw+FAkiRsNhuVlZWIoojJZIpfYzkCqqqiqirBYBC3200k
 EkFRFC5cuICqqgA+4DvAbwrV0OnqActBN97pdGKz2bDb7VitVmRZRlEU7HZ7/J7NZtPTXEURn89H
 IBCIP3O5XNx2221jeh2kjjbnjemaA5YDFBcXY7FY4uPdarUiSRKiKBIKhTCbzQiCEM8QGSPGbDZj
 MunvZsWKFaxZs4be3l7a2toyVpoPpouA/cAbqqoiSRKSJCURYbFY4kSMEaCqKpFIBJPJFF8lNE2j
 q6uL5ubmMePzyzXMgGwRvnzhBf5mcHCwdP78+Uk9YKzLJw4LSZLibxxIyhuSZZk9e/aMhbx2Aj3o
 UZ+CYLoIAHgdWNHd3b2kt7eXJUuWIIpiEgl2ux2bzYbZrDcjGo0SjUZRVRVBEBgYGODEiRNomhYG
 XgZOoztBDAU9jOBanAXuBP4M+AFgkSSJ1atXU1VVRWVlJWVlZciyzODgIL29vVy6dClxrLeiu8g6
 gW70xIiCfpVyrU6DxcAd6D2uAt2pUYO+xf0a+vcGV9BjeVeAS4AHvbuPfYlylFQZaVPEtSIgES5g
 BVCSRe4q8CU5BDn+gDzwf0pe+JELi8rhAAAAAElFTkSuQmCC

## sonar 0.0.1-2

=== debian/changelog ===
sonar (0.0.1-2) stable; urgency=low

  Initial Package

 -- Matt Trower <mtrower2@illinois.edu>  Sat, 02 Jul 2011 23:26:48 +0000

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,8 @@
 
 Package: sonar
 Architecture: all
-Depends: python, python2.5-qt
-Description: Proximity-based localization app developed by the Mobius Group
- part of CS @ University of Illinois - Urbana Champaign
+Depends: python, python2.5-qt4
+Description: Proximity-based localization app developed by the Mobius Group part of CS @ University of Illinois - Urbana Champaign
 XSBC-Bugtracker: XSBC-Bugtracker: http://bugs.maemo.org
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAABHNCSVQICAgIfAhkiAAAAAlwSFlz

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/sonar" install
	mkdir -p "$(CURDIR)/debian/sonar"

#	mkdir -p "$(CURDIR)/debian/sonar//usr/.svn/"
	cp -a "src/usr/.svn/all-wcprops" "$(CURDIR)/debian/sonar//usr/.svn/all-wcprops"
	mkdir -p "$(CURDIR)/debian/sonar//usr/.svn/"
	cp -a "src/usr/.svn/entries" "$(CURDIR)/debian/sonar//usr/.svn/entries"
	mkdir -p "$(CURDIR)/debian/sonar//opt/.svn/"
	cp -a "src/opt/.svn/all-wcprops" "$(CURDIR)/debian/sonar//opt/.svn/all-wcprops"
	mkdir -p "$(CURDIR)/debian/sonar//opt/.svn/"
	cp -a "src/opt/.svn/entries" "$(CURDIR)/debian/sonar//opt/.svn/entries"
	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/.svn/"
	cp -a "src/opt/sonar/.svn/all-wcprops" "$(CURDIR)/debian/sonar//opt/sonar/.svn/all-wcprops"
	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/.svn/"
	cp -a "src/opt/sonar/.svn/entries" "$(CURDIR)/debian/sonar//opt/sonar/.svn/entries"
	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/"
	cp -a "src/opt/sonar/dev_bluetooth.py" "$(CURDIR)/debian/sonar//opt/sonar/dev_bluetooth.py"
	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/"
	cp -a "src/opt/sonar/gui.py" "$(CURDIR)/debian/sonar//opt/sonar/gui.py"
	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/"
	cp -a "src/opt/sonar/localization.py" "$(CURDIR)/debian/sonar//opt/sonar/localization.py"
	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/"
	cp -a "src/opt/sonar/main.py" "$(CURDIR)/debian/sonar//opt/sonar/main.py"
	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/"
	cp -a "src/opt/sonar/radio_modules.py" "$(CURDIR)/debian/sonar//opt/sonar/radio_modules.py"
	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/"
	cp -a "src/opt/sonar/rssi_table_bt.csv" "$(CURDIR)/debian/sonar//opt/sonar/rssi_table_bt.csv"
	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/"
	cp -a "src/opt/sonar/rssi_table_wifi.csv" "$(CURDIR)/debian/sonar//opt/sonar/rssi_table_wifi.csv"
	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/"
	cp -a "src/opt/sonar/spatial_placement.py" "$(CURDIR)/debian/sonar//opt/sonar/spatial_placement.py"
	mkdir -p "$(CURDIR)/debian/sonar//usr/share/icons/hicolor/48x48/hildon/.svn/prop-base/"
	cp -a "src/usr/share/icons/hicolor/48x48/hildon/.svn/prop-base/sonar.png.svn-base" "$(CURDIR)/debian/sonar//usr/share/icons/hicolor/48x48/hildon/.svn/prop-base/sonar.png.svn-base"
	mkdir -p "$(CURDIR)/debian/sonar//usr/share/applications/hildon/.svn/"
	cp -a "src/usr/share/applications/hildon/.svn/all-wcprops" "$(CURDIR)/debian/sonar//usr/share/applications/hildon/.svn/all-wcprops"
	mkdir -p "$(CURDIR)/debian/sonar//usr/share/applications/hildon/.svn/"
	cp -a "src/usr/share/applications/hildon/.svn/entries" "$(CURDIR)/debian/sonar//usr/share/applications/hildon/.svn/entries"
	mkdir -p "$(CURDIR)/debian/sonar//.svn/"
	cp -a "src/.svn/all-wcprops" "$(CURDIR)/debian/sonar//.svn/all-wcprops"
	mkdir -p "$(CURDIR)/debian/sonar//.svn/"
	cp -a "src/.svn/entries" "$(CURDIR)/debian/sonar//.svn/entries"
	mkdir -p "$(CURDIR)/debian/sonar//usr/share/icons/hicolor/48x48/hildon/.svn/"
	cp -a "src/usr/share/icons/hicolor/48x48/hildon/.svn/all-wcprops" "$(CURDIR)/debian/sonar//usr/share/icons/hicolor/48x48/hildon/.svn/all-wcprops"
	mkdir -p "$(CURDIR)/debian/sonar//usr/share/icons/hicolor/48x48/hildon/.svn/"
	cp -a "src/usr/share/icons/hicolor/48x48/hildon/.svn/entries" "$(CURDIR)/debian/sonar//usr/share/icons/hicolor/48x48/hildon/.svn/entries"
	mkdir -p "$(CURDIR)/debian/sonar//usr/share/icons/hicolor/48x48/hildon/"
	cp -a "src/usr/share/icons/hicolor/48x48/hildon/sonar.png" "$(CURDIR)/debian/sonar//usr/share/icons/hicolor/48x48/hildon/sonar.png"
	mkdir -p "$(CURDIR)/debian/sonar//usr/share/icons/hicolor/48x48/.svn/"
	cp -a "src/usr/share/icons/hicolor/48x48/.svn/all-wcprops" "$(CURDIR)/debian/sonar//usr/share/icons/hicolor/48x48/.svn/all-wcprops"
	mkdir -p "$(CURDIR)/debian/sonar//usr/share/icons/hicolor/48x48/.svn/"
	cp -a "src/usr/share/icons/hicolor/48x48/.svn/entries" "$(CURDIR)/debian/sonar//usr/share/icons/hicolor/48x48/.svn/entries"
	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/.svn/prop-base/"
	cp -a "src/opt/sonar/.svn/prop-base/main.py.svn-base" "$(CURDIR)/debian/sonar//opt/sonar/.svn/prop-base/main.py.svn-base"
	mkdir -p "$(CURDIR)/debian/sonar//usr/share/applications/hildon/"
	cp -a "src/usr/share/applications/hildon/sonar.desktop" "$(CURDIR)/debian/sonar//usr/share/applications/hildon/sonar.desktop"
	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/.svn/text-base/"
	cp -a "src/opt/sonar/.svn/text-base/dev_bluetooth.py.svn-base" "$(CURDIR)/debian/sonar//opt/sonar/.svn/text-base/dev_bluetooth.py.svn-base"
	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/.svn/text-base/"
	cp -a "src/opt/sonar/.svn/text-base/gui.py.svn-base" "$(CURDIR)/debian/sonar//opt/sonar/.svn/text-base/gui.py.svn-base"
	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/.svn/text-base/"
	cp -a "src/opt/sonar/.svn/text-base/localization.py.svn-base" "$(CURDIR)/debian/sonar//opt/sonar/.svn/text-base/localization.py.svn-base"
	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/.svn/text-base/"
	cp -a "src/opt/sonar/.svn/text-base/main.py.svn-base" "$(CURDIR)/debian/sonar//opt/sonar/.svn/text-base/main.py.svn-base"
	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/.svn/text-base/"
	cp -a "src/opt/sonar/.svn/text-base/radio_modules.py.svn-base" "$(CURDIR)/debian/sonar//opt/sonar/.svn/text-base/radio_modules.py.svn-base"
	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/.svn/text-base/"
	cp -a "src/opt/sonar/.svn/text-base/rssi_table_bt.csv.svn-base" "$(CURDIR)/debian/sonar//opt/sonar/.svn/text-base/rssi_table_bt.csv.svn-base"
	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/.svn/text-base/"
	cp -a "src/opt/sonar/.svn/text-base/rssi_table_wifi.csv.svn-base" "$(CURDIR)/debian/sonar//opt/sonar/.svn/text-base/rssi_table_wifi.csv.svn-base"
	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/.svn/text-base/"
	cp -a "src/opt/sonar/.svn/text-base/spatial_placement.py.svn-base" "$(CURDIR)/debian/sonar//opt/sonar/.svn/text-base/spatial_placement.py.svn-base"
	mkdir -p "$(CURDIR)/debian/sonar//usr/share/.svn/"
	cp -a "src/usr/share/.svn/all-wcprops" "$(CURDIR)/debian/sonar//usr/share/.svn/all-wcprops"
	mkdir -p "$(CURDIR)/debian/sonar//usr/share/.svn/"
	cp -a "src/usr/share/.svn/entries" "$(CURDIR)/debian/sonar//usr/share/.svn/entries"
	mkdir -p "$(CURDIR)/debian/sonar//usr/share/applications/.svn/"
	cp -a "src/usr/share/applications/.svn/all-wcprops" "$(CURDIR)/debian/sonar//usr/share/applications/.svn/all-wcprops"
	mkdir -p "$(CURDIR)/debian/sonar//usr/share/applications/.svn/"
	cp -a "src/usr/share/applications/.svn/entries" "$(CURDIR)/debian/sonar//usr/share/applications/.svn/entries"
	mkdir -p "$(CURDIR)/debian/sonar//usr/share/icons/.svn/"
	cp -a "src/usr/share/icons/.svn/all-wcprops" "$(CURDIR)/debian/sonar//usr/share/icons/.svn/all-wcprops"
	mkdir -p "$(CURDIR)/debian/sonar//usr/share/icons/.svn/"
	cp -a "src/usr/share/icons/.svn/entries" "$(CURDIR)/debian/sonar//usr/share/icons/.svn/entries"
	mkdir -p "$(CURDIR)/debian/sonar//usr/share/applications/hildon/.svn/text-base/"

## sonar 0.0.1-3

=== debian/changelog ===
sonar (0.0.1-3) stable; urgency=low

  Initial Package

 -- Matt Trower <mtrower2@illinois.edu>  Sun, 03 Jul 2011 02:03:40 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: sonar
 Architecture: all
-Depends: python, python2.5-qt4
+Depends: python, python2.5-qt4, rootsh
 Description: Proximity-based localization app developed by the Mobius Group part of CS @ University of Illinois - Urbana Champaign
 XSBC-Bugtracker: XSBC-Bugtracker: http://bugs.maemo.org
 XB-Maemo-Icon-26:

=== debian/rules ===
--- 
+++ 
@@ -63,6 +63,8 @@
 	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/"
 	cp -a "src/opt/sonar/gui.py" "$(CURDIR)/debian/sonar//opt/sonar/gui.py"
 	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/"
+	cp -a "src/opt/sonar/launcher.sh" "$(CURDIR)/debian/sonar//opt/sonar/launcher.sh"
+	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/"
 	cp -a "src/opt/sonar/localization.py" "$(CURDIR)/debian/sonar//opt/sonar/localization.py"
 	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/"
 	cp -a "src/opt/sonar/main.py" "$(CURDIR)/debian/sonar//opt/sonar/main.py"
@@ -126,4 +128,3 @@
 	cp -a "src/usr/share/icons/.svn/all-wcprops" "$(CURDIR)/debian/sonar//usr/share/icons/.svn/all-wcprops"
 	mkdir -p "$(CURDIR)/debian/sonar//usr/share/icons/.svn/"
 	cp -a "src/usr/share/icons/.svn/entries" "$(CURDIR)/debian/sonar//usr/share/icons/.svn/entries"
-	mkdir -p "$(CURDIR)/debian/sonar//usr/share/applications/hildon/.svn/text-base/"

## sonar 0.0.1-4

=== debian/changelog ===
sonar (0.0.1-4) stable; urgency=low

  Initial Package

 -- Matt Trower <mtrower2@illinois.edu>  Sun, 03 Jul 2011 20:59:49 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/sonar" install
	mkdir -p "$(CURDIR)/debian/sonar"

#	mkdir -p "$(CURDIR)/debian/sonar//usr/share/icons/hicolor/48x48/hildon/"
	cp -a "src/usr/share/icons/hicolor/48x48/hildon/sonar.png" "$(CURDIR)/debian/sonar//usr/share/icons/hicolor/48x48/hildon/sonar.png"
	mkdir -p "$(CURDIR)/debian/sonar//usr/share/applications/hildon/"
	cp -a "src/usr/share/applications/hildon/sonar.desktop" "$(CURDIR)/debian/sonar//usr/share/applications/hildon/sonar.desktop"
	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/"
	cp -a "src/opt/sonar/dev_bluetooth.py" "$(CURDIR)/debian/sonar//opt/sonar/dev_bluetooth.py"
	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/"
	cp -a "src/opt/sonar/gui.py" "$(CURDIR)/debian/sonar//opt/sonar/gui.py"
	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/"
	cp -a "src/opt/sonar/launcher.sh" "$(CURDIR)/debian/sonar//opt/sonar/launcher.sh"
	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/"
	cp -a "src/opt/sonar/localization.py" "$(CURDIR)/debian/sonar//opt/sonar/localization.py"
	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/"
	cp -a "src/opt/sonar/main.py" "$(CURDIR)/debian/sonar//opt/sonar/main.py"
	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/"
	cp -a "src/opt/sonar/radio_modules.py" "$(CURDIR)/debian/sonar//opt/sonar/radio_modules.py"
	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/"
	cp -a "src/opt/sonar/rssi_table_bt.csv" "$(CURDIR)/debian/sonar//opt/sonar/rssi_table_bt.csv"
	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/"
	cp -a "src/opt/sonar/rssi_table_wifi.csv" "$(CURDIR)/debian/sonar//opt/sonar/rssi_table_wifi.csv"
	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/"
	cp -a "src/opt/sonar/spatial_placement.py" "$(CURDIR)/debian/sonar//opt/sonar/spatial_placement.py"

	# ======================================================

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## sonar 0.0.2-1

=== debian/changelog ===
sonar (0.0.2-1) stable; urgency=low

  Updated some GUI stuff as well as more error handling

 -- Matt Trower <mtrower2@illinois.edu>  Mon, 04 Jul 2011 06:28:13 +0000

## sonar 0.0.3-1

=== debian/changelog ===
sonar (0.0.3-1) stable; urgency=low

  Added device key

 -- Matt Trower <mtrower2@illinois.edu>  Mon, 04 Jul 2011 09:05:15 +0000

## sonar 0.0.4-1

=== debian/changelog ===
sonar (0.0.4-1) stable; urgency=low

  Mostly code rewrites underneath

 -- Matt Trower <mtrower2@illinois.edu>  Thu, 07 Jul 2011 23:04:48 +0000

## sonar 0.0.4-2

=== debian/changelog ===
sonar (0.0.4-2) stable; urgency=low

  Mostly code rewrites underneath

 -- Matt Trower <mtrower2@illinois.edu>  Fri, 08 Jul 2011 00:08:27 +0000

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 
 Package: sonar
 Architecture: all
-Depends: python, python2.5-qt4, rootsh
-Description: Proximity-based localization app developed by the Mobius Group part of CS @ University of Illinois - Urbana Champaign
+Depends: python, python2.5-qt4, rootsh, wireless-tools
+Description: Not safe for general use. Proximity-based localization app developed by the Mobius Group part of CS @ University of Illinois - Urbana Champaign
 XSBC-Bugtracker: XSBC-Bugtracker: http://bugs.maemo.org
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAABHNCSVQICAgIfAhkiAAAAAlwSFlz

=== debian/rules ===
--- 
+++ 
@@ -68,6 +68,8 @@
 	cp -a "src/opt/sonar/rssi_table_wifi.csv" "$(CURDIR)/debian/sonar//opt/sonar/rssi_table_wifi.csv"
 	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/"
 	cp -a "src/opt/sonar/spatial_placement.py" "$(CURDIR)/debian/sonar//opt/sonar/spatial_placement.py"
+	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/"
+	cp -a "src/opt/sonar/system_functions.py" "$(CURDIR)/debian/sonar//opt/sonar/system_functions.py"
 
 	# ======================================================

## sonar 0.0.4-3

=== debian/changelog ===
sonar (0.0.4-3) stable; urgency=low

  Mostly code rewrites underneath

 -- Matt Trower <mtrower2@illinois.edu>  Fri, 08 Jul 2011 01:48:07 +0000

## sonar 0.0.5-1

=== debian/changelog ===
sonar (0.0.5-1) stable; urgency=low

  Mostly code rewrites underneath

 -- Matt Trower <mtrower2@illinois.edu>  Fri, 08 Jul 2011 04:06:54 +0000

## sonar 0.0.5-2

=== debian/changelog ===
sonar (0.0.5-2) stable; urgency=low

  Error handling with WIFI

 -- Matt Trower <mtrower2@illinois.edu>  Fri, 08 Jul 2011 08:14:05 +0000

## sonar 0.0.5-3

=== debian/changelog ===
sonar (0.0.5-3) stable; urgency=low

  updated dependencies

 -- Matt Trower <mtrower2@illinois.edu>  Fri, 08 Jul 2011 22:50:22 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: sonar
 Architecture: all
-Depends: python, python2.5-qt4, rootsh, wireless-tools
+Depends: python, python2.5-qt4, rootsh, wireless-tools, python-bluez
 Description: Not safe for general use. Proximity-based localization app developed by the Mobius Group part of CS @ University of Illinois - Urbana Champaign
 XSBC-Bugtracker: XSBC-Bugtracker: http://bugs.maemo.org
 XB-Maemo-Icon-26:

=== debian/rules ===
--- 
+++ 
@@ -53,15 +53,23 @@
 	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/"
 	cp -a "src/opt/sonar/dev_bluetooth.py" "$(CURDIR)/debian/sonar//opt/sonar/dev_bluetooth.py"
 	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/"
+	cp -a "src/opt/sonar/dev_bluetooth.pyc" "$(CURDIR)/debian/sonar//opt/sonar/dev_bluetooth.pyc"
+	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/"
 	cp -a "src/opt/sonar/gui.py" "$(CURDIR)/debian/sonar//opt/sonar/gui.py"
+	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/"
+	cp -a "src/opt/sonar/gui.pyc" "$(CURDIR)/debian/sonar//opt/sonar/gui.pyc"
 	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/"
 	cp -a "src/opt/sonar/launcher.sh" "$(CURDIR)/debian/sonar//opt/sonar/launcher.sh"
 	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/"
 	cp -a "src/opt/sonar/localization.py" "$(CURDIR)/debian/sonar//opt/sonar/localization.py"
 	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/"
+	cp -a "src/opt/sonar/localization.pyc" "$(CURDIR)/debian/sonar//opt/sonar/localization.pyc"
+	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/"
 	cp -a "src/opt/sonar/main.py" "$(CURDIR)/debian/sonar//opt/sonar/main.py"
 	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/"
 	cp -a "src/opt/sonar/radio_modules.py" "$(CURDIR)/debian/sonar//opt/sonar/radio_modules.py"
+	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/"
+	cp -a "src/opt/sonar/radio_modules.pyc" "$(CURDIR)/debian/sonar//opt/sonar/radio_modules.pyc"
 	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/"
 	cp -a "src/opt/sonar/rssi_table_bt.csv" "$(CURDIR)/debian/sonar//opt/sonar/rssi_table_bt.csv"
 	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/"
@@ -69,7 +77,11 @@
 	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/"
 	cp -a "src/opt/sonar/spatial_placement.py" "$(CURDIR)/debian/sonar//opt/sonar/spatial_placement.py"
 	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/"
+	cp -a "src/opt/sonar/spatial_placement.pyc" "$(CURDIR)/debian/sonar//opt/sonar/spatial_placement.pyc"
+	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/"
 	cp -a "src/opt/sonar/system_functions.py" "$(CURDIR)/debian/sonar//opt/sonar/system_functions.py"
+	mkdir -p "$(CURDIR)/debian/sonar//opt/sonar/"
+	cp -a "src/opt/sonar/system_functions.pyc" "$(CURDIR)/debian/sonar//opt/sonar/system_functions.pyc"
 
 	# ======================================================
